@import url('https://fonts.googleapis.com/css2?family=Funnel+Display:wght@300..800&display=swap');
@font-face {
    font-family: 'FunnelDisplay';
    src: url('fonts/FunnelDisplay-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'FunnelDisplay';
    src: url('fonts/FunnelDisplay-Bold.ttf') format('truetype');
    font-weight: bold;
    font-style: normal;
}

@font-face {
    font-family: 'FunnelDisplay';
    src: url('fonts/FunnelDisplay-Light.ttf') format('truetype');
    font-weight: 300;
    font-style: normal;
}

@font-face {
    font-family: 'FunnelDisplay';
    src: url('fonts/FunnelDisplay-Medium.ttf') format('truetype');
    font-weight: 500;
    font-style: normal;
}

@font-face {
    font-family: 'FunnelDisplay';
    src: url('fonts/FunnelDisplay-SemiBold.ttf') format('truetype');
    font-weight: 600;
    font-style: normal;
}

@font-face {
    font-family: 'FunnelDisplay';
    src: url('fonts/FunnelDisplay-ExtraBold.ttf') format('truetype');
    font-weight: 800;
    font-style: normal;
}


html, *{
    scroll-behavior: smooth;
    font-family: "Funnel Display", sans-serif;
    padding: 0;
    margin: 0;
    user-select: none;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;

    
}

:root{
    --blackprimary: #0A0A0A;
    --ColorPrimary: #CA86FF;
    --ColorSecundary: #AD42FF;

    --WhitePure: #f6f6f6;
    --WhitePrimary: #CDCDCD;
    --WhiteTextSecundary: #AAAAAA;
    --WhiteSecudary: #5C5C5C;
    --cardSkills: #141414;
    --cardBorder: #222222;

    --max-width: 1920px;
    --grid-content: 1200px;
    --bg-socialMediaHeader: radial-gradient(232.14% 242.85% at 50.03% -35.86%, rgba(10, 10, 10, 0.00) 31.5%, #AD42FF 51.48%, #EBF9FF 63.5%);

    --4-x-position: 20%

    --4-y-position: 80%

    --5-x-position: 80%

    --5-y-position: 20%
}
/* Estilizando a barra de rolagem para Chrome, Safari, e Edge */
::-webkit-scrollbar {
    width: 8px;
    height: 5px;
}

::-webkit-scrollbar-thumb {
    background-color: var(--ColorSecundary);
    border-radius: 10px 0 0 10px;
}

::-webkit-scrollbar-track {
    background: var(--blackprimary);
    
}

body{
    overflow-x: hidden;
    font-family: "Funnel Display", sans-serif;
    background-color: var(--blackprimary);
    margin: 0 auto;
    width: 100%;
    height: 100%;
   
}



 /* //////////////    PERSONALIZAÇÃO DE CURSOR DAS PAGES */

.per-cursor{ cursor: url("../svg/cursor/pointer.cur"), default;}
a{cursor: url("../svg/cursor/hand.cur"), pointer;}
 /* //////////////    PERSONALIZAÇÃO DE CURSOR DAS PAGES */
.grid-content{width: 82%; max-width: var(--grid-content); margin: 0 auto;}
.divisor{
    z-index: 2;
    position: relative;
    height: 2px;
    margin: 0 auto;
    width: 100%;
    max-width: var(--max-width);
    background: linear-gradient(128deg, rgba(10, 10, 10, 0) 10%, rgb(246, 246, 246) 53%, rgba(0, 0, 0, 0) 89%);
    scale: 1;
}
.cursor {
   
    z-index: 0;
    position: absolute;
    width: 300px;
    height: 300px;
    background: radial-gradient(35.5% 35.5% at 50% 50%, rgba(173, 66, 255, 0.671) 0%, rgba(10, 10, 10, 0) 100%);
    border-radius: 50%;
    pointer-events: none;
    transition: opacity 0.2s ease-out;
    animation-name: opacity;
    filter: blur(20px);
}
.s-background{

     z-index: 1;
     background: var(--blackprimary);
    -webkit-mask-image: url('../svg/grade-background-subtract-ULTRAWIDE.svg');
    mask-image: url('../svg/grade-background-subtract-ULTRAWIDE.svg');
   
    -webkit-mask-size: cover;
    mask-size: 130%;
    -webkit-mask-position: center;
    mask-position: top center;

   -webkit-mask-repeat: no-repeat;
   mask-repeat: no-repeat;

   
  
   content: "";
   position: absolute;
   left: 0;
   top: 0;
   width: 100%;
   height: 100%;
}


#header-home{
    position: relative;
    z-index: 99;
    margin: 0 auto;
    width: 100%;
    max-width: var(--max-width);
    height:800px;
    background: url(../img/header/header-bg.png) no-repeat top center / cover;
    display: flex;
}




nav{
    z-index:9999999;
    position: fixed;
    top: 0;
    width: 100%;
    padding: 16px 0;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1.602px solid rgba(203, 154, 255, 0.20);
    background: rgba(16, 12, 20, 0.772);
    backdrop-filter: blur(16.024999618530273px);
  
}

.nav-container{
    width: 80%;
    margin: 0 auto;
    max-width: var(--grid-content);
    display: flex;
    justify-content: space-between;
    align-items: center;
}

nav .nav-container .contato-nav{
      position: relative;
    overflow: hidden;
    color: var(--WhitePrimary);
    font-weight: 500;
    display: flex;
    font-size: 18px;
    position: relative;
    padding: 6px 38px;
    justify-content: center;
    align-items: center;
    gap: 12.82px;
    flex-shrink: 0;
    border-radius: 160.25px;
    border: 1.602px solid rgba(255, 255, 255, 0.10);
    background: #7326ad;
    box-shadow: 1px -0.59px 12.46px 0px rgba(255, 255, 255, 0.50) inset, 0px 6.41px 38.46px 0px rgba(255, 226, 219, 0.20);
    transition: 0.5s ease-in-out;

   
}
nav .nav-container .contato-nav:hover{scale: 1.05; transition: 0.4s ease-in-out;}
nav .nav-container .contato-nav::after {
    content: '';
    position: absolute;
    top: -80px;
    right: -50px; /* começa fora do botão à direita */
    width: 50px;
    height: 150px;
    background-color: #cf91ff70;
    filter: blur(10px);
    transform: translateX(0);
    transition: transform 0.5s ease;
    z-index: 3;
    rotate: -25deg;
   
}

nav .nav-container .contato-nav:hover::after {
    transform: translateX(-250px); /* atravessa o botão da direita para a esquerda */
}




.nav-container img{height: 40px;}

.nav-container ul{display: flex; gap: 30px; color: var(--WhitePrimary);}
.nav-container ul li{ 
    
   
    transition: 0.5s ease-in-out;
    &:hover{
        transition: 0.3s ease-in-out;
         color: var(--ColorPrimary);
         scale: 1.05;
    }
}

.header__texts{
    height: 100vh;
    width: 100%;
    max-width: 444px;
    margin-top: 35px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.framer-8bz8u7-container {
    bottom: 0;
    flex: none;
    height: 155px;
    width: 100%;
    left: 0;
    pointer-events: none;
    position: fixed;
    right: 0;
    z-index: 999;
}

    #header-home h1{
        color: var(--WhitePrimary);
        font-size: 36px;
        font-weight: 400;
        line-height: 102.206%;
    }
header h1 span{
    color: #CA86FF;
    font-weight: 700;
}











.sites__container{
  
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    flex-direction: column;

}
.card {


  padding: 1rem 2rem;
  border-radius: 1.25rem;
  position: relative;
  z-index: 99999;
        }
.loader {
  color: rgb(124, 124, 124);
  font-family: "Poppins", sans-serif;
  font-weight: 500;
  font-size: 40px;
  -webkit-box-sizing: content-box;
  box-sizing: content-box;
  height: 80px;
  padding: 10px 10px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  border-radius: 8px;
}

.words {
  overflow: hidden;
  position: relative;
}
.words::after {
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(
    var(--bg-color) 10%,
    transparent 30%,
    transparent 70%,
    var(--bg-color) 90%
  );
  z-index: 20;
}

.word {
  display: block;
  height: 100%;
  padding-top: 2px;
  padding-left: 6px;
  color: #956afa;
  animation: spin_4991 4s infinite;
}

@keyframes spin_4991 {
  10% {
    -webkit-transform: translateY(-102%);
    transform: translateY(-102%);
  }

  25% {
    -webkit-transform: translateY(-100%);
    transform: translateY(-100%);
  }

  35% {
    -webkit-transform: translateY(-202%);
    transform: translateY(-202%);
  }

  50% {
    -webkit-transform: translateY(-200%);
    transform: translateY(-200%);
  }

  60% {
    -webkit-transform: translateY(-302%);
    transform: translateY(-302%);
  }

  75% {
    -webkit-transform: translateY(-300%);
    transform: translateY(-300%);
  }

  85% {
    -webkit-transform: translateY(-402%);
    transform: translateY(-402%);
  }

  100% {
    -webkit-transform: translateY(-400%);
    transform: translateY(-400%);
  }
}

.typed-cursor {
    font-size: inherit; /* Mantém o cursor no mesmo tamanho do texto */
    vertical-align: baseline; /* Garante que o cursor fique alinhado com o texto */
}

.type-container{display: flex;}
.header-destaque{
    align-items: center;
    height: calc(100% + 10px);
    color: var(--WhitePrimary);
    font-size: 16px;
    font-weight: 400;
    letter-spacing: -0.383px;
    line-height: 20px;
}

.header-destaque::after{
    content: '|';
    margin-left: 5px;
    color: var(--ColorSecundary);
    font-weight: 900;
    font-size: 20px;
    opacity: 1;
    animation: blink 0.9s infinite;
}

@keyframes blink {
    100%{ opacity: 1;
    }
    50%{opacity: 0;
    }
}

.header-destaque-container{
    display: flex;
    height: 35px;
    box-sizing: content-box;
    padding: 32px 0 40px 0;
    max-width: 400px;
    align-items: center;
}

   .header-destaque span{color: #B469EE;
    line-height: normal;
    letter-spacing: -0.383px;}

#header-home article a{
    padding-bottom: 1.5px;
    box-sizing: border-box;
    font-size: 25px;
    font-weight: 600;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 80%;
    max-width: 350px;
    height: 70px;
    color: var(--WhitePrimary);
    text-decoration: none;  
    clip-path: polygon(0 0, 100% 1%, 100% 59%, 91% 100%, 0 100%);
    border-radius: 2px;
    background: rgb(173,66,255);
    background: rgb(173,66,255);
    background: linear-gradient(128deg, rgba(173,66,255,1) 0%, rgba(55,28,142,1) 100%);
}

.s-servico{
    position: relative;
    padding: 112px 0;
    margin: 0 auto;
    width: 100%;
}

.s-servico::after{
    z-index: 0;
    content: '';
    filter: blur(40px);
    opacity: 0.08;
    position: absolute;
    width: 500px;
    height: 100px;
    left: 50%;
    top: 20%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: var(--ColorSecundary);
    border-radius: 99px;
}
.s-servico__text-title{
    padding: 0 0 70px 0;
    flex-wrap: wrap;
    display: flex;
    width: 100%;
    justify-content: center;
    align-items: center;
    gap: 15px;
}

.s-servico__text-title h1{ 
    color: transparent;  
    text-align: center; 
    font-size: 40px;
    font-style: normal;
    font-weight: 800;
    line-height: normal;
    letter-spacing: 5px;
    background: linear-gradient(180deg, #FFF 13%, rgb(44 0 79 / 63%) 96%);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;}



.stack {
  display: grid;
  grid-template-columns: 1fr;
}

.stack h1 {

  grid-row-start: 1;
  grid-column-start: 1;
  --stack-height: calc(100% / var(--stacks) - 1px);
  --inverse-index: calc(calc(var(--stacks) - 1) - var(--index));
  --clip-top: calc(var(--stack-height) * var(--index));
  --clip-bottom: calc(var(--stack-height) * var(--inverse-index));
  clip-path: inset(var(--clip-top) 0 var(--clip-bottom) 0);
  animation: stack 340ms cubic-bezier(.46,.29,0,1.24) 1 backwards calc(var(--index) * 120ms), glitch 3s ease infinite 3s alternate-reverse;
}

.stack h1:nth-child(odd) { --glitch-translate: 11px; }
.stack h1:nth-child(even) { --glitch-translate: -8px; }

@keyframes stack {
  0% {
    opacity: 0;
    transform: translateX(-50%);
    text-shadow: -2px 3px 0 red, 2px -3px 0 blue;
  };
  60% {
    opacity: 0.5;
    transform: translateX(50%);
  }
  80% {
    transform: none;
    opacity: 1;
    text-shadow: 2px -3px 0 red, -2px 3px 0 blue;
  }
  100% {
    text-shadow: none;
  }
}

@keyframes glitch {
  0% {
    text-shadow: -2px 3px 0 red, 2px -3px 0 blue;
    transform: translate(var(--glitch-translate));
  }
  2% {
    text-shadow: 2px -3px 0 red, -2px 3px 0 blue;
  }
  4%, 100% {  text-shadow: none; transform: none; }
}


.s-servico__svg{
    height: 100%;
    width: fit-content;
    display: flex;
    justify-content: center;
    align-items: center;
}
.element-blur{z-index: 99 }
.tracado-blur{    
    z-index: 0;
    margin-top: 5px;
    margin-left: -87px;
    
}
.s-servico__itens{
    
    gap: 40px;
    row-gap: 40px;
    width: 86%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;

}

.border-card{
    border-radius: 7px 0 0px 35px;
    height: 97.6%;
    width: 50px;
    background: radial-gradient(177% 139% at var(--4-x-position) var(--4-y-position), #ae00ff 0%, transparent), radial-gradient(224% 133% at var(--5-x-position) var(--5-y-position), #10052f 0%, transparent), #371c8e;
    animation-name: main;
    animation-iteration-count: infinite;
    animation-duration: 14s;
    transition-timing-function: ease-in-out
}
    @property --4-x-position { syntax: '<percentage>'; inherits: false; initial-value: 20%; }
    @property --4-y-position { syntax: '<percentage>'; inherits: false; initial-value: 80%; }
    @property --5-x-position { syntax: '<percentage>'; inherits: false; initial-value: 80%; }
    @property --5-y-position { syntax: '<percentage>'; inherits: false; initial-value: 20%; }
    @keyframes main { 25% {--4-x-position: 15%;--4-y-position: 15%;--5-x-position: 85%;--5-y-position: 80%;}50% {--4-x-position: 80%;--4-y-position: 15%;--5-x-position: 15%;--5-y-position: 85%;} }
    .s-servico__itens-card{display: flex;
        transition: 0.7s ease-in-out;
    }
    .s-servico__itens-card:hover{
        transition: 0.4s ease-in-out;
        -moz-transform: rotate(-3deg) translate(-3px, 0px);
        -webkit-transform: rotate(-3deg) translate(-3px, 0px);
        -o-transform: rotate(-3deg) translate(-3px, 0px);
        -ms-transform: rotate(-3deg) translate(-3px, 0px);
        transform: rotate(-3deg) translate(-3px, 0px);
        & .s-servico__img a p:first-child{
            transition: 0.4s ease-in-out;
            transform: translateY(-130%);
        }
        & .s-servico__img{
      
            background-size: 130%;
        }
    }
    .s-servico__card{
        position: relative;
        width: 272px;
        height: 434px;
        background-image: url(../svg/card.svg);
        background-repeat: no-repeat;
        background-size: contain;
        box-sizing: content-box;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
}


.s-servico__card h2{color: #F0F0F0;
    font-size: 24px;
    font-style: normal;
    font-weight: 700;
    line-height: 26px; /* 96.782% */
    letter-spacing: -0.879px;}
.s-servico__card h3{text-align: center; color: white; font-size: 29.304px; font-weight: 700; position: absolute; right: 1%; top: 1%;  width: 50px; padding: 0; margin-block-start: 0em;
    margin-block-end: 0em; opacity: 1;}

.s-servico__card-texts{    
    padding: 24px 0 32px 0px;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.s-servico__card-texts h2:first-of-type span {
    color: var(--ColorSecundary);
  }


.s-servico__card-texts > p{    
    width: 215px;
    color: var(--WhiteTextSecundary);
    leading-trim: both;
    text-edge: cap;
    font-size: 11px;
    font-style: normal;
    font-weight: 400;
    line-height: 13px; /* 133.333% */
}

.s-servico__img{
    background-size: 115%;
    background-position: center;
    transition: background-size 0.4s ease-in-out, background-position 0.4s ease-in-out;
    border-radius: 8px;
    height: 239px;
    width: 227px;
    background-repeat: no-repeat;
   
    background-position: center center;
    display: flex;
    justify-content: center;
    align-items: flex-end;
    box-sizing: border-box;
    padding-bottom: 25px;
}
.socialMedia{background-image: url(../img/card-socialMedia.png);}
.idVisual{background-image: url(../img/id-visual.png);}
.sitesLP{background-image: url(../img/sitesService.png);}
.s-servico__img a{
    text-decoration: none;
}
.starmobile{
  display: none;
}
.s-servico__img a p:first-child{
    text-align: center;
    font-size: 29px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    letter-spacing: -1.237px;
    letter-spacing: -0.7px;
    font-weight: 500;
    border: 1px solid rgba(255, 255, 255, 0.31);
    font-size: 20px;
    border-radius: 34px;
    background: rgb(255 255 255 / 20%);
    padding: 17px 41px;
    padding: 6px 17px 8px;
    backdrop-filter: blur(4px);
    margin-bottom: 5px;
    transition: 0.7s ease-in-out;
    } 

    .s-servico__img a p:last-child{
        justify-content: center;
        display: flex; gap: 5px;
        align-items: stretch;
        color: #B367EE;
        text-align: center;
        leading-trim: both;
        text-edge: cap;
        font-family: "Funnel Display";
        font-size: 10px;
        font-style: normal;
        font-weight: 400;
        line-height: normal;
        letter-spacing: 0.100px;
    }

    .s-servico__img .span {
        background: linear-gradient(180deg, #ffffff4d 8.85%, #fff);
        -webkit-background-clip: text;
        background-clip: text;
        color: transparent;
        -webkit-text-fill-color: transparent;
        display: block;
    }
    .s-servico__img .span::after{
        background: radial-gradient(59% 116% at 50% 127%, #ffffff, #fff0);
        border-radius: 999px;
        content: "";
        height: calc(100% + 4px);
        left: -2px;
        opacity: 0;
        position: absolute;
        top: -2px;
        transition: 1s all;
        width: calc(100% + 4px);
    }
    .s-servico__img .span:hover:after{opacity: .7;}

    .s-about{
        padding: 100px 0;
        box-sizing: border-box;
        height: 100%;
        overflow-x: hidden !important;
    }

    .s-about_container{
        width: 100%;
        height: 100%;
        background-image: url(../svg/about-grade.svg);
        background-repeat: no-repeat;
        background-size: cover;
       background-position-y: 10em;
    }
    .s-about > h2{
        z-index: 0;
        bottom: -103px;
        position: relative;
        filter: opacity(0.8);
        text-transform: uppercase;
        text-align: center;
        leading-trim: both;
        text-edge: cap;
        font-size: 114px;
        font-style: normal;
        font-weight: 800;
        /* line-height: 110px; */
        background: radial-gradient(115% 633% at 50.16% -235.06%, rgba(98, 98, 98, 0.60) 7%, rgba(10, 10, 10, 0.60) 61%);
        background-clip: text;
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
    }
    .s-about__title{width: 100%; height: 423px; background-image: url(../img/About/title.png); background-repeat: no-repeat; background-size: contain; background-position: center; display: flex; align-items: center; justify-content: center; position: relative; z-index: 98;}
    .s-about__title p {color: #FFF;
        text-align: center;
        leading-trim: both;
        text-edge: cap;
        text-shadow: 0px 4px 151.2px #AD42FF;
        font-family: "Funnel Display";
        font-size: 47px;
        font-style: normal;
        font-weight: 400;
        line-height: normal;
        letter-spacing: -2.56px;
        text-transform: lowercase;}
    .s-about__tabs{width: 100%; padding: 100px 0; color: #B469EE; display: flex; justify-content: space-between; 
        transition: max-height 0.3s ease;
    }
    .s-tech{
        padding: 170px 0;
        row-gap: 112px;
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
    }
    .s-tech h1{
        position: relative;
        color: #FFF;
        leading-trim: both;
        text-edge: cap;
        font-family: "Funnel Display";
        font-size: 39px;
        font-style: normal;
        font-weight: 700;
        line-height: normal;
        letter-spacing: -1.44px;
        text-transform: uppercase;
    }

    .s-tech__skillIcons {
        display: inline-grid;
        grid-template-columns: repeat(3, 1fr);
        grid-template-rows: repeat(3, 1fr);
        gap: 30px;
    }
    
    .s-tech__skillIcons-icon{
        position: relative;
            display: flex;
            justify-content: center;
            border-radius: 5px;
            padding: 33px 45px;
            box-sizing: border-box;
            background-color: var(--cardSkills);
            border: 1px var(--cardBorder) solid;
            transition: ease-in-out 0.5s;
    }
    .s-tech__skillIcons-icon:hover{border: 1px var(--ColorSecundary) solid;}
    .s-tech__revealText{padding-top: 30px; width: max-content;
        max-width: 450px; color: var(--WhiteTextSecundary); min-height: 110px;}
    .s-tech__skillIcons-icon img{height: 50px; width: 50px;}

   .s-contact{
         display: flex;
        margin: 0 auto;
        padding: 100px 0;
        height: 700px;
        justify-content: space-evenly;
        flex-direction: column;
        align-items: center;
   }    

   .s-contact--gradient{
    background: radial-gradient(122.14% 162.85% at 50.03% -17.86%, rgb(10 10 10) 53.5%, #A633FF 72.48%, #ffebff 86.5%);
   }
   .s-contact__anim{    height: 57%;
    display: flex
;
    justify-content: flex-end;
    flex-direction: column;
    align-items: center; }
   .s-contact h1{ 
    
        position: relative;z-index: 98;
        text-transform: uppercase;
        color: transparent;
        text-align: center;
        font-size: 31px;
        font-style: normal;
        font-weight: 800;
        line-height: 28px;
        letter-spacing: 4.12px;
        background: linear-gradient(180deg, #FFF 12%, rgb(24 0 43 / 90%) 96%);
        background-clip: text;
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;}

    .s-contact p {
        color: #CC8AFF;
        text-align: center;
        leading-trim: both;
        text-edge: cap;
        font-size: 20px;
        font-style: normal;
        font-weight: 300;
        line-height: normal;
        letter-spacing: -0.236px;
    }
  
    .s-contact__line{
        overflow: hidden;
        z-index: 90;
        padding: 0;
        position: absolute;
        width: 350px;
        height: 300px;
        background: rgb(10,10,10);
        background:linear-gradient(180deg, rgba(10, 10, 10, 1) 18%, rgb(29 29 29 / 57%) 48%, rgba(10, 10, 10, 1) 76%);
        
        -webkit-mask-image: url('../svg/s-contact-line.svg');
        mask-image: url('../svg/s-contact-line.svg');
        
        -webkit-mask-size: contain;
        mask-size: contain;

        -webkit-mask-repeat: no-repeat;
        mask-repeat: no-repeat;

        -webkit-mask-position: center;
        mask-position: center;
        }

        .s-contact__line:before {
       
        content: "";
        position: absolute;
        left: 0;
        top: 0;
        opacity: 0;
        width: 100%;
        height: 100%;
        z-index: 20;
        filter: blur(8px);
        background: linear-gradient(to top, #ae00ff 10%,transparent 25%);
        animation: LUZVERTICAL 3s cubic-bezier(0.17, 0.42, 1, -0.19) infinite;
        animation-delay: 0s !important;
        }
        @keyframes LUZVERTICAL {
        0% {
            transform: translateY(-120%);
            opacity: 1;
        }
        50% {
            transform: translateY(100%);
            opacity: 1;
        }
        100% {
            transform: translateY(100%);
            opacity: 0;
        }
        }
    
    .s-contact__social-icons-ico{gap: 21px;
        display: flex;
        justify-content: center;}    
    .s-contact__social-icons-ico img{
        position: relative;
        z-index: 98;
        display: flex;
        height: 64px;
        width: 64px;
        padding: 15px;
        align-items: flex-start;
        gap: 28.542px;
        border-radius: 20px;
        backdrop-filter: blur(8px);
        transition: 0.3s ease-in-out;
        &:hover{
            transition: 0.3s ease-in-out;
            -moz-transform: scale(1.1);
            -webkit-transform: scale(1.1);
            -o-transform: scale(1.1);
            -ms-transform: scale(1.1);
            transform: scale(1.1);
        }
    }

    .linkedi {
    position: relative; /* Necessário para o pseudo-elemento */
    border: 2px solid #00baff4f;
    background: linear-gradient(135deg, rgba(248, 251, 255, 0.04) 0%, rgba(255, 255, 255, 0.00) 100%);
    box-shadow: 0px 0px 22.834px 0px rgba(13, 137, 252, 0.32) inset, 
                22.834px 11.417px 45.667px 0px rgba(0, 0, 0, 0.08);
    transition:box-shadow 1s ease-in-out;
    }
    .linkedi:hover{
        transition:box-shadow 1s ease-in-out;
        box-shadow: 0px 0px 22.834px 0px 
        
        rgba(24, 143, 255, 0.682) inset, 22.834px 11.417px 45.667px 0px rgba(0, 0, 0, 0.08);
    }


    .whatsApp{
        position: relative; /* Necessário para o pseudo-elemento */
        border: 2px solid rgba(39, 180, 63, 0.434);
        background: linear-gradient(135deg, rgba(248, 251, 255, 0.04) 0%, rgba(255, 255, 255, 0.00) 100%);
        box-shadow: 0px 0px 22.834px 0px hsla(126, 97.60%, 52.00%, 0.32) inset, 22.834px 11.417px 45.667px 0px rgba(0, 0, 0, 0.08);
        transition:box-shadow 1s ease-in-out;
    
    } 
    .whatsApp:hover{
        transition:box-shadow 1s ease-in-out;
        box-shadow: 0px 0px 22.834px 0px rgba(44, 226, 74, 0.66) inset, 22.834px 11.417px 45.667px 0px rgba(0, 0, 0, 0.08);
    }

    
    .instagram{
        transition:box-shadow 1s ease-in-out;
        position:relative;
        border: 2px solid #b1358a6e;
        background: linear-gradient(135deg, rgba(248, 251, 255, 0.04) 0%, rgba(255, 255, 255, 0.00) 100%);
        box-shadow: 0px 0px 22.834px 0px rgba(190, 13, 252, 0.32) inset, 22.834px 11.417px 45.667px 0px rgba(0, 0, 0, 0.08);
    }
    .instagram:hover{
        transition:box-shadow 1s ease-in-out;
        box-shadow: 0px 0px 22.834px 0px rgba(188, 13, 252, 0.76) inset, 22.834px 11.417px 45.667px 0px rgba(0, 0, 0, 0.08);
    }
    

    .behance{
        transition:box-shadow 1s ease-in-out;
        border: 2px solid rgba(20, 96, 249, 0.32);
        background: linear-gradient(135deg, rgba(248, 251, 255, 0.04) 0%, rgba(255, 255, 255, 0.00) 100%);
        box-shadow: 0px 0px 22.834px 0px rgba(20, 96, 249, 0.32) inset, 22.834px 11.417px 45.667px 0px rgba(0, 0, 0, 0.08);  
    }
    .behance:hover{
        transition:box-shadow 1s ease-in-out;
        box-shadow: 0px 0px 22.834px 0px rgba(29, 104, 255, 0.72) inset, 22.834px 11.417px 45.667px 0px rgba(0, 0, 0, 0.08);  
    }

    .github{
        transition:box-shadow 1s ease-in-out;
        border: 2px solid rgba(211, 240, 253, 0.32);
        background: linear-gradient(135deg, rgba(248, 251, 255, 0.04) 0%, rgba(255, 255, 255, 0.00) 100%);
        box-shadow: 0px 0px 22.662px 0px rgba(211, 240, 253, 0.32) inset, 22.662px 11.331px 45.324px 0px rgba(0, 0, 0, 0.08);   
    }
    .github:hover{
        transform: translate(-3px, -30px) scale(0.7, 1) skew(-19deg, -18deg);
        transition:box-shadow 1s ease-in-out;
        box-shadow: 0px 0px 22.662px 0px rgba(211, 240, 253, 0.637) inset, 22.662px 11.331px 45.324px 0px rgba(0, 0, 0, 0.08);
        
    }



    .footer-container p{text-align: center; font-size: 12px;}
    footer{
        z-index: 999;
        position: relative;
        height: 80px;
        width: 100%;
        background: #101010;
    }
    .footer-container{height: 100%; display: flex; justify-content: space-between; align-items: center; flex-wrap: wrap;}
    .footer-container span{color: var(--ColorPrimary);}
    .footer-container img{height: 23px;}
    



    /*//////////////////////////////////////////////////////////////////////////////////////////////*/
    /* //////////////////////////////// PÁGINA SOCIAL MEDIA MOBILE //////////////////////////////// */
    /*//////////////////////////////////////////////////////////////////////////////////////////////*/
    .none-block{display: none;}
    #header-mobile{display: none;}
    .h-socialMedia{
        box-sizing: border-box;
        padding: 97px 0;
        box-sizing: border-box;
        width: 100%;
        height: 100%;
        display: flex;
        background-image: url(../img/socialMedia/header-desktop.png) !important;
        background-size: 80%;
        align-items: center;
        justify-content: flex-end;
        background-repeat: no-repeat;
        background-position: center center;
    }

    @media (max-width: 1190px) {
        .h-socialMedia{
            overflow-x: hidden;
            background-position: left;
             background-size: cover;
             background-position-x: 90%;
        }
    }

    @media (max-width: 1000px) {
    .h-socialMedia{
        flex-direction: column;
        overflow-y: hidden;
        height: 80vh;
        align-items: flex-end;
        background-image: url(../img/socialMedia/header-mobile.png) !important;
        background-position: top;
        background-size: 123%;
    }   
        .none-block{display: block;}
       #header-desktop{display: none;}
       #mobile-divisor{display: none;}
       #header-mobile{
        display: flex; justify-content: center; user-select: none;
        overflow-y: hidden;
        padding-top: 80px;
    }

       .h-socialMedia__container1-mobile{
        box-sizing: border-box;
        padding-bottom: 22px;
        display: flex;
        justify-content: center;
        align-items: center;
        width: 375px;
        height: 300px ;
        flex-shrink: 0;
        background-image: url(../svg/socialmedia/form-mobile.svg);
        background-size: contain;
        background-repeat: no-repeat;
        background-position: right center;
       }
       .h-socialMedia__container2-mobile{
                box-sizing: border-box;
                padding-bottom: 19px;
                display: flex;
                justify-content: center;
                align-items: center;
                width: 335px;
                height: 388px;
                flex-shrink: 0;
                background-image: url(../svg/socialmedia/form-mobile.svg);
                background-size: contain;
                background-repeat: no-repeat;
                background-position: right center;
       }

       .h-socialMedia__container3-mobile{
                display: flex;
     
                align-items: center !important;
                width: 280px !important;
                height: 250px !important;
                flex-shrink: 0;
                background-image: url(../svg/socialmedia/form-mobile.svg) !important;
                padding: 0 0 190px 0 !important;
                row-gap: 21px !important;
                & h1{
                    margin: 0 auto;
                    width: 280px !important;
                    font-size: 40px !important;
                    text-align: center !important;
                   
                    & strong{ font-weight: 800;}
                    & span{
                        color: #C57AFF;
                        font-weight: 300;
                    }
                    
                    animation:flutuant infinite 3s ease-in-out;
                }

                & a{
                    width: 190px !important;
                    color: white;
                    border-radius: 75.213px;
                    border: 0.752px solid rgba(255, 255, 255, 0.10);
                    background: #931DFF;
                    box-shadow: 0px 3.009px 18.051px 0px rgba(255, 255, 255, 0.50) inset, 0px 3.009px 18.051px 0px rgba(255, 226, 219, 0.20);
                    display: inline-flex;
                    height: 54.57px;
                    padding: 13.538px 0;
                    justify-content: center;
                    align-items: center;
                    
        
                }
        
       }
       

       
    }
    @media (max-width: 617px){
        .h-socialMedia{
            background-position-y: 6%;
            background-size: 125%;
            height: 100%;
            padding: 200px 0 0 0;}
        
    }

    .h-header__container{display: flex; width: 100%; justify-content:flex-end; }

    .h-socialMedia__container1{
        
        display: flex;
        justify-content: center;
        align-items: center;
        width: 750px;
        height: 620px;
        flex-shrink: 0;
        background-image: url(../svg/socialmedia/quad-header1.svg);
        background-size: contain;
        background-repeat: no-repeat;
        background-position: right center;
    }

    .h-socialMedia__container2{
        
        width: 570px;
        height: 520px;
        transform: rotate(360deg);
        flex-shrink: 0;
        display: flex;
        justify-content: center;
        align-items: center;
        background-image: url(../svg/socialmedia/quad-header1.svg);
        background-size: contain;
        background-repeat: no-repeat;
        background-position: right center;
    } 

    
    .h-socialMedia__container3, .h-socialMedia__container3-mobile{
        
        box-sizing: border-box;
        padding-right: 120px;
        width: 390px;
        height: 420px;
        flex-shrink: 0;
     

        display: flex;
        justify-content: center;
        align-items: flex-end; 
        flex-direction: column;
        row-gap: 30px;

        background-image: url(../svg/socialmedia/quad-header1.svg);
        background-size: contain;
        background-repeat: no-repeat;
        background-position: right center;
        & h1{
            position: relative !important;
            z-index: 98;
            width: 380px;
            text-transform: uppercase;
            color: #FFF;
            font-size: 55px;
            text-align: right;
            font-style: normal;
            font-weight: 300;
            line-height: 110%;
            letter-spacing: -1.864px;
            text-transform: uppercase;
            & strong{ font-weight: 800;}
            & span{
                color: #C57AFF;
                font-weight: 300;
            }
            
            animation:flutuant infinite 3s ease-in-out;
        }
    
        & a{
            width: 234px;
            color: white;
            border-radius: 75.213px;
            border: 0.752px solid rgba(255, 255, 255, 0.10);
            background: #931DFF;
            box-shadow: 0px 3.009px 18.051px 0px rgba(255, 255, 255, 0.50) inset, 0px 3.009px 18.051px 0px rgba(255, 226, 219, 0.20);
            display: inline-flex;
            height: 54.57px;
            padding: 13.538px 0;
            justify-content: center;
            align-items: center;
            gap: 3.009px;
            flex-shrink: 0;
            transition: transform 0.5s ease-in-out;

        }

        & a:hover {
           transform: scale(1.03);
        }


    }
    @keyframes flutuant {
          0%{transform: scale(1);}
          50%{transform: scale(1.01);}
          100%{transform: scale(1);}
          
        
          
     
    }

    .s-galeria{
        box-sizing: border-box;
        padding: 50px 0;
        display: flex;
        justify-content: center; 
        align-items: center;
    }

    /* //// ABRIR FOTOS GALERIA /////  */
    /* Lightbox inicial (invisível, mas ainda ocupando espaço) */
    .lightbox {
        display: flex;
        visibility: hidden;
        opacity: 0;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        backdrop-filter: blur(20px);
        background: #81785b2a;
        justify-content: center;
        align-items: center;
        z-index: 999;
        transform: scale(0.95);
    }

    /* Lightbox ativo (aparece com efeito suave) */
    .lightbox.active {
        visibility: visible;
        opacity: 1;
        transform: scale(1);
    }

    /* Efeito na imagem dentro do lightbox */
    .lightbox img {
        max-width: 90%;
        max-height: 90%;
        border-radius: 10px;
    
    }

    .lightbox.active img {
        overflow: hidden;
        transform: scale(1.05);
        
    }

    .s-galeria .gallery img{  border: 2px solid #4a4a4a28; min-height: calc(max-content + 40px);}
    .s-galeria .gallery img:hover{
        z-index: 98;
        position: relative;
     
        transform: scale(1.03);
        border: 2px solid #f5de91;
    }
    .s-lancamento{display: flex;flex-direction: column;align-items: center; overflow-x: clip;}
    .s-lancamento-title{
        padding: 100px 0;
        position: relative;
        background-image: url(../svg/grade-background.svg);
        background-repeat: no-repeat;
        background-position: center;
        background-size: 75%;
        height: 100%;
        box-sizing: border-box;
        width: 100%;
        justify-content: center;
        margin: 0 auto;
    }



    .s-lancamento-title h3{
        text-align: center;
        font-size: clamp(68px, 17.4vw, 350px);
        font-weight: 800;
        line-height: 81.825%; /* 108.481px */
        background: linear-gradient(140deg, #F3E9FF 12.24%, #A33EF0 49.2%, #210834 88.66%);
        background-clip: text;
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
    }
    .s-lancamento h3:nth-child(odd){
        transform: translateY(clamp(-15px, -9vh, -20px));
    }
  
    

   
  

    /* //////////////////////////////// RESPONSIVIDADE MOBILE //////////////////////////////// */
    /* //////////////////////////////// RESPONSIVIDADE MOBILE //////////////////////////////// */
    /* //////////////////////////////// RESPONSIVIDADE MOBILE //////////////////////////////// */
   
    @media (min-width: 1920px) {
        .s-background{-webkit-mask-image: url('../svg/grade-background-subtract-ULTRAWIDE.svg');
            mask-image: url('../svg/grade-background-subtract-ULTRAWIDE.svg');}
        .index #header-home{background: url(../img/header/header-ultrawide.png) no-repeat top center / cover; max-width: 100%; height: 950px; }
        .s-contact--gradient{background: radial-gradient(106.14% 147.85% at 52.03% -15.86%, rgb(10 10 10) 57.5%, #A633FF 73.48%, #ffebff 90.5%); transition: ease-in-out 0.6s;}
    }
    @media (max-width: 1400px) {
        .s-servico__itens{justify-content: center;}}

    @media (max-width: 770px) {
        .s-background{    -webkit-mask-size: contain;
            mask-size: contain;
            -webkit-mask-position: top;
            mask-position: top;}
        .s-about_container{background-position: center bottom; background-size: contain;}
        .s-tech__skillIcons{display: grid;
            grid-template-columns: repeat(2, 1fr);
            grid-template-rows: repeat(2, 1fr);
            grid-column-gap: 20px;
            grid-row-gap:  20px;}
        .index #header-home{background: url(../img/header/header-mobile.png) no-repeat top right / contain; display: flex; padding: 0 0 100px 0; align-items: flex-end; height: 1100px;}
        .index #header-home .header__texts-container-glitch h1{font-size: 29px !important; width: 286px; margin: 0 auto;}

    
        .header-destaque::after{font-size: 15px;}
        .header-destaque-container-prev{width: 100%; display: flex; justify-content: center;}
        .header-destaque-container{width: 100%; max-width: 280px;}
        .header-destaque {font-size: 15px; max-width: 280px;}


        .index #header-home article a{margin: 0 auto; max-width:286px; width: 100%; height: 53px; font-size: 20px;}
        .s-about__title{background-size: cover;}
        .s-about{padding: 0;}
        .s-about > h2{bottom: -153px; filter: blur(2px); line-height: 90px; line-height: 90px;}
        .border-card{
            background:  radial-gradient(177% 300% at var(--4-x-position) var(--4-y-position), #ae00ff 0%, transparent), radial-gradient(224% 133% at var(--5-x-position) var(--5-y-position), #10052f 0%, transparent), #371c8e;
        }
        .s-servico{ background-size: 190%;background-position-y: -16%;}
        .s-servico__text-title{ flex-direction: column; align-items: center;}
        .s-servico__text-title h1{font-size: 25px;}
        .s-servico__itens{flex-wrap: wrap; justify-content: center; row-gap: 40px; 
            
            height: 151.4vh;}
        .element-blur svg, .tracado-blur {display: none;}
        .starmobile{ display: block; height: 47px; width: 47px;}
        .s-tech{justify-content: center;}
        .s-tech__revealText{max-width: 300px;}
        .s-about{width: 100%;}
        .s-contact{height: 645px;}
        .s-contact p {font-size:15px}
        .footer-container{justify-content: center;}
        .footer-container{color: var(--WhitePure);}
        .footer-container p{text-align: center; width: 220px;}
        .footer-container img{display: none;}
        .s-contact--gradient{    background: radial-gradient(204.14% 219.85% at 48.03% -54.86%, rgb(10 10 10) 60.5%, #A633FF 69%, #ffebff 77%);}
        .s-contact__line {width: 290px; height: 282px;}
        .s-contact__social-icons-ico{gap: 6px;}

        /* .s-servico__itens :first-child{padding-bottom: 121px;} */
        .ux{padding-bottom: 121px}
        .s-servico__itens-card {
            position: sticky;
            display: flex;
            -webkit-box-shadow: 0px -24px 19px -8px rgba(21,21,21,0.22);
            -moz-box-shadow: 0px -24px 19px -8px rgba(21,21,21,0.22);
            box-shadow: 0px -24px 19px -8px rgba(21,21,21,0.22);
}


/* ############################## MEDIA QUERIES ############################## */
/* ############################## MEDIA QUERIES ############################## */
/* ############################## MEDIA QUERIES ############################## */
        }
    @media (max-width: 490px){ .index #header-home{height: 900px; padding: 0 0 90px 0;} .s-servico__itens{height: 202.3vh;} 
    .branding{top: 22.1% !important;} .cursor{display: none;}}
  

   


    